.cart_wc-title h2 {
  color: #e22623 !important;
  font-size: 25px !important;
  font-weight: 600;
}

.cart_wc-child-title h6 {
  margin-bottom: 10px;
  font-size: 16px;
  font-weight: 600;
  color: #141414;
}

.cart_wc .wooco-item-parent,
.cart_wc .cart_item {
  display: flex;
  align-items: center;
  gap: 16px;
  border: 1px solid #c2c2c2;
  border-radius: 16px;
  padding: 16px;
  margin-bottom: 10px;
  justify-content: space-between;
}

wc_cart-items .cart_wc-info {
  gap: 12px;
}

.cart_wc-info {
  display: flex;
  flex-direction: row;
  align-items: center;
  width: 86%;
  justify-content: space-between;
  gap: 35px;
}

.cart_wc-child {
  display: flex;
  justify-content: flex-start;
  gap: 8px;
  row-gap: 16px;
  margin-bottom: 20px;
  flex-direction: row;
  overflow: scroll;
  overflow-y: hidden;
}

.wooco-item-child .Sous-total {
  display: none;
}

.Sous-total span {
  font-weight: 500;
  color: #92979c;
  font-size: 14px;
  text-align: justify;
}

.wc_cart-items .product-subtotal .amount {
  font-size: 20px;
  font-weight: 600;
  color: #ffc010;
}

.wooco-item-child .cart_wc-info {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
  padding: 0;
  gap: 16px;
}

.cart_wc-child .wooco-item-child {
  width: 32%;
  min-width: 30%;
  height: 110px;
  font-size: 12px;
  gap: 8px !important;
  padding: 5px !important;
  margin-bottom: 10px !important;
  border-radius: 8px !important;
}

.WC_product-info {
  display: flex;
  align-items: center;
  gap: 16px;
  width: 62%;
  height: 39px;
  justify-content: space-between;
}

.WC_product-info div.product-price {
  font-size: 16px;
  height: 50px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 0;
}

.wooco-item-child a img {
  width: 80px !important;
  height: 80px !important;
}

.wooco-item-child .cart_wc-info .product-name {
  width: 100%;
  line-height: 14px;
  font-size: 14px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.wooco-item-child .cart_wc-info .product-name a {
  color: #6d6d6d;
  text-transform: lowercase;
  line-height: 20px;
}

.wooco-item-child .cart_wc-info .product-name:hover {
  -webkit-line-clamp: unset;
  overflow-x: auto;
}

.WC_product-price .product-price,
.wooco-item-child .product-remove,
.WC_product-price sub,
.cart_wc-info sub {
  display: none;
}

.WC_product-price {
  display: flex;
  width: 100%;
  line-height: 20px;
  flex-direction: row-reverse;
  justify-content: space-between;
}

.WC_product-price .product-subtotal bdi {
  color: #000 !important;
  font-size: 14px;
  font-weight: 600;
}

.product-name.wc_product-name {
  width: 238px;
  font-size: 14px;
  line-height: 22px;
  font-weight: 400;
  color: #4a4a4a;
  text-transform: uppercase;
}

.WC_product-info .product-price div,
.WC_product-info .product-subtotal div {
  height: 24px;
  transform: translateY(-5px);
}

.WC_product-info .product-price span {
  font-size: 12px;
  font-weight: 600;
  color: #92979c;
}

.WC_product-info .product-price .amount {
  font-size: 16px;
  font-weight: 600;
  color: #000;
}

.product-price-pix span {
  font-size: 14px !important;
  font-weight: 500 !important;
}

.WC_product-info .product-quantity .quantity {
  width: 110px;
}

.cart_wc-info .product-quantity input {
  margin-bottom: 0;
  height: 34.12px !important;
}

.woocommerce-cart-form div.quantity:before,
.woocommerce-cart-form div.quantity:after {
  border-radius: 8px;
  width: 36px;
  height: 36px;
  background: #f0f1f1;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.cart_wc-info .quantity:hover::before {
  background: #ffd311;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

.cart_wc-info .quantity:hover::after {
  background: #ffd311;
}

a.checkout-button:hover {
  background-color: #ffd311 !important;
}

.wc_remove-icon {
  width: 20px !important;
  max-width: 20px;
  height: 20px !important;
}

#WC_Total-cp .amount,
#WC_Total-cp-vM .amount {
  font-size: 24px;
  font-style: normal;
  font-weight: 600;
  color: #141414;
}

#to-top {
  z-index: 99;
}

.wc_valider {
  background: #fff;
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 100;
  border-radius: 16px 16px 0 0;
  box-shadow: 0 -3px 10.2px rgb(0 0 0/10%);
  padding: 20px 32px;
}

.wc_valider-total {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.wc_valider .Livraison_gratuite {
  margin: 8px 0 16px;
}

.wc_valider #WC_Total-cp {
  color: #ffc010;
}

.wc_valider .wc-proceed-to-checkout {
  display: inline-flex;
  width: 100%;
}

.wc_valider .wc-proceed-to-checkout a {
  width: 100%;
  height: 59px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
}

button.wc_btn-update,
button.wc_btn-update:hover {
  background-color: #f5f5f5 !important;
  cursor: pointer !important;
}

.WC_product-price span.woocommerce-Price-amount.amount {
  opacity: 1;
  color: #141414;
}

.vc_shop-title {
  background-color: #f5f5f5;
  padding: 20px 0 20px 13px;
  border-bottom: 1.4px solid #e8e8e8;
  border-radius: 16px 16px 0 0;
  font-size: 20px;
  font-style: normal;
  font-weight: 600;
}

.Livraison_gratuite {
  display: flex;
  justify-content: space-between;
  margin-bottom: 32px;
  margin-top: 32px;
  flex-direction: row-reverse;
  height: 24px;
}

.Livraison_gratuite-icon {
  display: flex;
  align-items: flex-start;
}

.Livraison_gratuite-icon img {
  width: 34.634px;
  height: 24px;
}

.Livraison_gratuite-spn {
  color: #66af27;
  margin-left: 8px;
  font-weight: 500;
}

.Livraison_gratuite-text span {
  font-size: 20px;
  font-weight: 500;
  color: #92979c;
}

.Livraison_gratuite-text2 {
  font-size: 20px;
  color: #525252;
  font-weight: 500;
  margin-bottom: 12px;
  padding: 0 14px;
}

.shop_table p.woocommerce-shipping-destination {
  line-height: 24px;
  font-size: 14px;
  font-weight: 400;
}

.product-quantity {
  font-size: 12px !important;
  font-weight: 500;
}

span.product-q {
  color: #92979c;
  font-size: 12px;
  font-weight: 500;
  line-height: 22.753px;
}

.product-remove {
  display: flex;
}

.product-remove a {
  display: flex;
  align-items: flex-start;
  justify-content: flex-end;
}

.cart_wc-child::-webkit-scrollbar {
  height: 5px;
}

.cart_wc-child::-webkit-scrollbar-track {
  background: #f2f2f2;
  border-radius: 16px;
}

.cart_wc-child::-webkit-scrollbar-thumb {
  background-color: #616161;
  border-radius: 16px;
  height: 15px !important;
}

.cart_wc-child::-webkit-scrollbar-thumb:hover {
  cursor: grab;
}

.cart_wc-child::-webkit-scrollbar-thumb:active {
  cursor: grabbing;
}

@media (max-width: 1240px) {
  .wc_cart-items .cart_wc-info {
    flex-direction: column;
    align-items: flex-start;
  }

  .WC_product-info {
    width: 100%;
    justify-content: space-between;
  }

  .cart_wc .wooco-item-parent,
  .cart_wc .cart_item {
    gap: 40px;
  }

  .product-name.wc_product-name {
    width: 100%;
    font-size: 16px;
    height: 50px;
    text-transform: math-auto;
  }
}

#WC_Total-cp sub {
  font-weight: 700 !important;
  font-size: 8px !important;
  bottom: 0 !important;
}

@media (min-width: 640px) {
  .wc_valider {
    display: none;
  }
}

@media (max-width: 640px) {
  #wc_cart-collaterals {
    display: none;
  }

  .product-name.wc_product-name {
    width: 100%;
    font-size: 14px;
    font-weight: 400;
    height: 40px;
    line-height: 17px;
    text-transform: math-auto;
  }

  .product-name.wc_product-name a {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }

  .cart_wc-child {
    overflow-x: auto;
    flex-wrap: nowrap;
    overflow-y: hidden;
  }

  .WC_product-info {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    height: 85px;
    row-gap: 17px;
  }

  .WC_product-info div {
    flex: 1;
    line-height: 20px;
    width: 94px;
    height: 31px;
  }

  .WC_product-info .product-price div,
  .WC_product-info .product-subtotal div {
    height: 14px;
    transform: translateY(-6px);
  }

  .Sous-total span {
    font-weight: 500;
    color: #92979c;
    font-size: 12px;
    text-align: justify;
    line-height: 0;
  }

  .product-price-pix span {
    font-size: 12px !important;
    font-weight: 500 !important;
    color: #92979c !important;
  }

  .WC_product-info div.product-price {
    flex: 4;
    min-width: 50%;
    font-size: 16px;
    min-width: 52%;
    height: 38px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 12px;
  }

  .WC_product-info div.product-quantity {
    order: 1;
    flex: 4;
  }

  .WC_product-info .product-quantity .quantity {
    width: 87px;
  }

  .woocommerce-cart-form input.input-text.qty {
    width: 87px;
    height: 27px !important;
    padding: 0;
    border-radius: 0 !important;
  }

  .woocommerce-cart-form div.quantity:before,
  .woocommerce-cart-form div.quantity:after {
    width: 27px;
    height: 27px;
  }

  .WC_product-info div.product-remove {
    order: 1;
    text-align: end;
    justify-content: flex-end;
  }

  .wc_remove-icon {
    width: 22px !important;
    max-width: 22px;
    height: 22px !important;
    transform: translateY(2px);
  }

  .cart_wc .wooco-item-parent,
  .cart_wc .cart_item {
    gap: 16px;
  }

  .WC_product-info .product-subtotal {
    display: inline-flex;
    flex-direction: column;
    flex: 0;
    align-items: flex-end;
    text-align: right;
    gap: 12px;
  }

  .wc_cart-items .product-subtotal .amount {
    font-size: 16.193px;
    color: #ffc010;
  }

  .cart_wc-child .wooco-item-child {
    display: flex;
    flex-direction: column;
    height: 188px;
    min-width: 149px;
    padding: 16px 8px !important;
    gap: 8px !important;
    justify-content: space-between;
  }

  .cart_wc-info {
    align-items: center;
    width: 101%;
    justify-content: space-between;
    gap: 16px;
  }

  .wooco-item-child .cart_wc-info .product-name {
    text-align: center;
    width: 133px;
    line-height: 17px !important;
    font-size: 10px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }

  .wooco-item-child .cart_wc-info .product-name a {
    line-height: 5px !important;
    font-size: 10px;
  }
}

@media (max-width: 420px) {
  .cart_wc .wooco-item-parent,
  .cart_wc .cart_item {
    gap: 8px;
  }

  .product-name.wc_product-name {
    font-size: 11px;
    font-weight: 500;
    height: 28px;
    line-height: 16px;
  }

  .WC_product-info div {
    font-size: 12px;
  }

  .Sous-total span {
    font-size: 12px;
  }

  .wc_cart-items .product-subtotal .amount {
    font-size: 16px;
    font-weight: 600;
  }

  .WC_product-info div.product-price {
    flex: 1;
    min-width: 30%;
    height: 38px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 12px;
  }

  .WC_product-info div {
  }

  .WC_product-info .product-subtotal {
    font-size: 12px;
    font-weight: 700;
    width: 65px;
    height: 31px;
    transform: translateY(-5px);
  }
}

.shop_table tbody tr.order-total th {
  border: none;
  border-radius: 0 0 0 16px;
}

.cart-collaterals a.checkout-button.button.alt.wc-forward {
  border-radius: 16px;
}

.button-submit,
.button-submit:hover {
  width: 290px;
}

.product-subtotal
  .woocommerce-Price-amount.amount
  bdi
  .woocommerce-Price-currencySymbol
  sub,
td.product-price
  .woocommerce-Price-amount.amount
  bdi
  .woocommerce-Price-currencySymbol
  sub {
  font-size: 12px !important;
  font-weight: 400 !important;
  position: relative;
  top: -8px;
  left: -21px;
  color: #bdbdbd;
}

span.price
  .woocommerce-Price-amount.amount
  bdi
  .woocommerce-Price-currencySymbol
  sub {
  font-size: 8px !important;
  top: 0;
  left: 0;
}

.cart-subtotal td span.woocommerce-Price-amount.amount bdi span sub,
tr.order-total strong span.woocommerce-Price-amount.amount bdi span sub {
  position: relative;
  font-size: 12px !important;
  top: 23px;
  left: -62px;
  color: #575757;
}

label
  span.woocommerce-Price-amount.amount
  bdi
  .woocommerce-Price-currencySymbol
  sub {
  font-size: 9px !important;
  font-weight: 400 !important;
  position: relative;
  left: 3px;
  top: 0;
}

tr.order-total td span.woocommerce-Price-amount.amount bdi span sub {
  position: relative;
  top: 22px;
  left: -82px;
  color: #575757;
}

span.woocommerce-Price-currencySymbol {
  font-weight: 600;
  font-size: 12px;
}

tr.order-total,
tr.cart-subtotal {
  height: 92px;
}

.cart_totals h2::after {
  display: none;
}

ul#shipping_method {
  margin: 0 0;
}

p.woocommerce-shipping-destination {
  margin: 0 0 32px;
}

.cart-collaterals a.checkout-button.button.alt.wc-forward {
  border-radius: 16px;
  padding: 20px;
}

.checkout-button.button.alt.wc-forward.wp-element-button:hover {
  background: #ffc010;
}

td.actions button.button.wp-element-button,
td.actions button.button.wp-element-button:hover {
  border-radius: 16px;
  padding: 20px 50px;
  background: #fff;
  color: #e22623 !important;
  border: 2px solid #e22623;
  cursor: pointer;
}

a.button.wc-backward.wp-element-button,
a.button.wc-forward.wp-element-button,
p.cart-empty.woocommerce-info {
  border-radius: 16px;
}

@media (max-width: 640px) {
  .vc_whatsapp {
    bottom: 251px;
    right: 12px;
  }

  #to-top {
    bottom: 169px;
    right: 12px;
  }

  .cp_sub-footer {
    padding: 25px 17px 220px;
  }
}
